.card-project-container {
    .card-title {
        font-size: 18px;
        font-weight: 500;
        line-height: 24px;
        color: #0B0E21;
    }
}

.description-property-homepage-sell, .description-property-homepage-rent {
    padding-bottom: 0;
}

.property-section-tab-container {
    &.col-custom-2col {
        .card-project-container {
            width: calc(98% / 2);
        }
    }

    &.col-custom-3col {
        .card-project-container {
            width: calc(96% / 3);
        }
    }

    &.col-custom-4col {
        .card-project-container {
            width: calc(94% / 4);
        }
    }

    @media screen and (max-width: 900px) {
        &.col-custom-2col {
            .card-project-container {
                width: 100%;
            }
        }

        &.col-custom-3col {
            .card-project-container {
                width: 100%;
            }
        }

        &.col-custom-4col {
            .card-project-container {
                width: 100%;
            }
        }
    }

    .property-section-tab {
        padding-bottom: 32px;
        margin: 0;

        .tab-wrap {
            display: flex;
            overflow-x: auto;
            gap: 10px;
        }

        .tab-header {
            padding: 4px 12px;
            height: fit-content;
            border-radius: 8px;
            border-width: 1px;
            position: relative;
            text-align: center;
            padding-inline: 1rem;
            margin-bottom: 0;
            display: flex;
            justify-content: center;
            align-items: center;
            font-weight: 500;
            font-size: 14px;
            line-height: 21px;
            letter-spacing: 0.25px;
            cursor: pointer;
            border: 1px solid #CFD0DA;
            white-space: nowrap;
        }
    }

    .tab-scrollable {
        cursor: grab;
    }

    .tab-scrollable.dragging {
        cursor: grabbing;
        user-select: none;
    }
}

.listing .property-section-tab-result .see-more {
    border-radius: 8px;
    font-size: 16px;
    font-style: normal;
    font-weight: 600;
    line-height: 24px;
    width: fit-content;
    height: fit-content;
    padding: 8px 16px;
    border-width: 1px;
    border-style: solid;
    background: none;
}

.listing-style-long_detail_right {
    .card-project-container {
        .card-title-container {
            .card-title {
                padding-bottom: 8px;
            }

            .card-title-span {
                display: none;
            }
        }

        .card-extra-info-btn {
            .enquiry-card {
                display: flex;

                .agent-id {
                    display: none;
                }

                .whatsapp {
                    width: 100%;
                }
            }
        }

        .card-dev-container {
            padding: 12px 0 4px;
        }
    }

    @media screen and (min-width: 1200px) {
        .card-project-container {
            display: flex;
            box-shadow: 0px 0px 1px 0px rgba(40, 41, 61, 0.08), 0px 0.5px 2px 0px rgba(96, 97, 112, 0.16);

            .card-property-image-container {
                width: 50%;
                height: auto;
                border-radius: 8px 0 0 8px;

                .card-property-image {
                    border-radius: 8px 0 0 8px;
                }
            }

            .card-detail-wrapper {
                width: 50%;
            }
        }
    }
}

.listing-style-short_detail {
    .card-project-container {
        background: transparent;
        box-shadow: none;

        .card-property-image-container {
            border-radius: 24px;
            height: auto;
            aspect-ratio: 1 / 1;

            .card-property-image {
                border-radius: 24px;
                width: 100%;
                height: 100%;
            }
        }

        .card-title-container {
            padding-bottom: 0;

            .card-title-span {
                display: none;
            }
        }

        .card-extra-info {
            flex-wrap: unset;
            min-height: fit-content;
            gap: 8px;
            width: 100%;
            justify-content: space-between;

            .icon-label {
                display: none;
            }

            .icon-value {
                color: #444854;
            }

            .item {
                white-space: nowrap;
                width: fit-content;

                .icon-image {
                    padding: 0;
                }
            }
        }

        .card-extra-info-btn {
            display: none;
        }

        .card-promo-container {
            border: none;
            display: block;
            padding: 8px 0;
        }

        .card-detail-container {
            padding: 0;
        }

        .card-dev-container {
            padding: 16px 0 0 0;
        }
    }
}

.listing-style-long_detail_below {
    .whatsapp.card-listing {
        padding: 4px 12px;
    }
}
